rasmol (2.7.6.0-3) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 29 Jan 2022 19:08:22 +0100

rasmol (2.7.6.0-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Mon, 30 Nov 2020 15:38:48 +0100

rasmol (2.7.6.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Revert change of maintainer address since this should not be changed

  [ Teemu Ikonen ]
  * New upstream version.
  * All patches are upstreamed, except imakefile.
  * imakefile:
    - Add include paths also for old CBFlib version.
    - Use hand-crafted GTKLIBS to reduce binary deps.
  * Set Standards-Version: 4.2.1
  * Build-dep on new cvector and cqrlib dev pkgs.
  * Build-dep on GTK3 and libvte-2.91 (closes: #790196)
  * Remove rasmollogo.jpg from debian/ (it's in html_graphics)
  * debian/changelog: Remove trailing whitespace.
  * Add Keywords-field to .desktop files.
  * watch: Check new releases from github.

 -- Teemu Ikonen <tpikonen@gmail.com>  Mon, 22 Oct 2018 11:18:33 +0300

rasmol (2.7.5.2+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Moved debian/upstream to debian/upstream/metadata
  * Add Registration field to upstream metadata
  * cme fix dpkg-control; cme fix dpkg-copyright
  * debhelper 11
  * Standards-Version: 4.1.4
  * Point VCS fields to Salsa
  * Build-Depends: bash-completion
  * Remove unsafe symlinks and unneeded binaries from source tarball
  * Avoid privacy breach by keeping logo image locally
  * Fix maintainer address
  * Fix spelling issues

  [ Fernando Seiti Furusato ]
  * Fix undefined vector through -Uvector so the keyword does not conflict with
    the gcc macro with the same name.
    Closes: #767296

  [ Laura Arjona Reina ]
  * Fix short descriptions
    Closes: #821023

 -- Andreas Tille <tille@debian.org>  Tue, 03 Jul 2018 11:13:56 +0200

rasmol (2.7.5.2-2) unstable; urgency=low

  [ Andreas Tille ]
  * renamed debian/upstream-metadata.yaml to debian/upstream
  * debian/upstream: Added DOI & PMID

  [ Teemu Ikonen ]
  * control:
    - Add build-dep to dpkg-dev (>= 1.16.1~)
    - Update standards-version to 3.9.4
  * rules:
    - Export dpkg-buildflags with all hardening options.
    - Run xmkmf only twice per build.
  * Patch imakefile:
    - Get CFLAGS and LDFLAGS from dpkg-buildflags
    - Prune LDLIBS to avoid unnecessary dependencies.
  * New patches:
    - glibsubheaders: Do not include individual glib headers.
      Thanks to Michael Biebl for the patch (closes: #665605).
    - format-security: Fix sprintf calls which fail when compiling
      with -werror=format-security

 -- Teemu Ikonen <tpikonen@gmail.com>  Mon, 27 May 2013 17:31:54 +0200

rasmol (2.7.5.2-1) unstable; urgency=low

  * New upstream version.
  * control: Upgrade to standards-version 3.9.2.
  * Upgrade debhelper compat and build-dep to 8.
  * copyright:
    - Update DEP5 format and contents to latest release.
    - Add copyright info for PDB files.
  * rules: Use override targets instead of --before and --after.
  * Patches:
    - gtk-tiff-lzw: New patch, Write TIFFs with LZW compression in
      GTK version.
    - gtkabout: New patch, fixes broken icon in GTK About dialog.
    - manfix: Fix typos, escape minuses (fixes lintian warning
      hyphen-used-as-minus-sign).
    - writemsg, x11shortcuts, gtk_redraw, uncompress_quote: Included in
      new upstream version, removed.
  * Add a large PNG logo.

 -- Teemu Ikonen <tpikonen@gmail.com>  Fri, 18 Nov 2011 17:31:09 +0100

rasmol (2.7.5-3) unstable; urgency=low

  * Andreas Tille added upstream-metadata.yaml with bibliographic information.
  * Start maintaining rasmol with '3.0 (quilt)' source format with changes
    to upstream sources as patches generated from the git repository with gdp.
  * Add a 'debian/README.source' file.
  * Fix GTK deprecation warning in GtkSpinButtons (patch 06_spinbuttons).
  * Fix segfault in image exporting with GTK (patch 07_gtkexport).
  * Split older changes to upstream sources to separate patches with gdp and
    add DEP-3 in 'debian/metapatches':
    - 01_writemsg: Use WriteMsg() consistently for text output.
    - 02_x11shortcuts: Fix null pointer ref on File menu keyboard
        shortcuts in x11win.c.
    - 03_gtk_redraw: Fix screen update in GTK UI.
    - 04_imakefile: Debian changes to Imakefile.
    - 05_intwidth: Use C99 exact-width ints in typedefs.
    - 08_manfix: Rasmol man page fixes.
    - 09_uncompress_quote: Quote args to decompression programs when
        loading files.
  * control:
    - Build-Depend on new (versionless) libneartree-dev.
    - Remove duplicate Section in rasmol binary package.

 -- Teemu Ikonen <tpikonen@gmail.com>  Tue, 26 Apr 2011 17:11:48 +0200

rasmol (2.7.5-2) unstable; urgency=low

  * gtkwin.c:
    - Fix screen update on picking labels etc.
    - UpdateScrollBars(): Do not set ReDrawFlag
  * Use new function WriteMsg() for text output to X / GTK command line.
  * x11win.c: Fix null pointer reference on File menu keyboard shortcuts
    (closes: #400073).
  * control: Updgrade to standards-version 3.9.1.
  * copyright: Update to dep5 format and add info from this version.

 -- Teemu Ikonen <tpikonen@gmail.com>  Wed, 13 Oct 2010 15:18:26 +0200

rasmol (2.7.5-1) unstable; urgency=low

  * New upstream release
  * Imakefile: Use Debian versions of library dependencies
  * control:
    - Add build-deps to libcvector2-dev, libcqrlib2-dev, libneartree3-dev
    - Update to standards-version 3.8.3

 -- Teemu Ikonen <tpikonen@gmail.com>  Tue, 24 Nov 2009 16:48:04 +0100

rasmol (2.7.4.2-5) unstable; urgency=low

  * molecule.c: Add #define _GNU_SOURCE to get the correct definition
    of basename() (closes: #535133)

 -- Teemu Ikonen <tpikonen@gmail.com>  Thu, 02 Jul 2009 15:39:45 +0200

rasmol (2.7.4.2-4) unstable; urgency=low

  * Increase debhelper compat to 7, build-dep on the same
  * rules: Rewrite and simplify using dh. Allow building GTK and
    X11 versions separately for testing
  * Add a bash_completion file
  * Merge patch insvn/gtk-shortcuts: Add various keyboard shortcuts
    to the GTK interface
  * Merge insvn/fileopen:
    - Add support for opening more than one file from the command
      line. (closes: #498261)
    - Fix reading files from stdin with '-' arg.
  * Merge insvn/switches:
    - Fix crashing of the GTK version when trying to output errors
      before initialising GUI (closes: #498261)
    - Accept options prefixed either with a single or double dash.
    - New command line options:
        -colour / color: Set default colour of a new molecule.
        -wireframe, -backbone, -sticks, -spacefill, -spheres, -ballstick,
            -ribbons, -strands, -cartoons: Set default representation
            of a new molecule.
    - New command line options in GTK version:
        -prompt, -noprompt, -scrolls, -noscrolls, -menus, -nomenus,
        -fullscreen: Set ui elements present after startup.
  * Merge insvn/vte-text-output: Write all text output through
    WriteChar() and WriteString().
  * Use direct VTE feeding with text output in GTK version,
    instead of PTYs
  * Make Delete key work and ignore unhandled terminal escape sequences.
  * Fixed debian/watch file, thanks to Daniel Leidert (closes: #520524)
  * Add an application icon to the GTK version
  * Fix recent files support in GTK version
  * Show file name in title, if the file does not have a PDB code
  * rasmol.h: Use C99 exact-width ints in some typedefs. Closes LP: #349585
  * Imakefile: Build with -Wall
  * Fix the Exec field in .desktop files to correctly handle multi-argument
    binaries, also add chemical/x-xyz mime-type

 -- Teemu Ikonen <tpikonen@gmail.com>  Wed, 03 Jun 2009 20:06:55 +0200

rasmol (2.7.4.2-3) unstable; urgency=low

  * src/Imakefile: Remove hppa-specific CFLAGS (closes: #489471)
  * control: Change maintainer to Debian Science Maintainers
    <debian-science-maintainers@lists.alioth.debian.org>
  * control: Add Uploaders field. Add Teemu Ikonen <tpikonen@gmail.com>
    to Uploaders.

 -- Teemu Ikonen <tpikonen@gmail.com>  Fri, 11 Jul 2008 16:36:47 +0200

rasmol (2.7.4.2-2) unstable; urgency=low

  * control: change build-dep xutils to xutils-dev (should fix FTBS on hppa)
  * control: Update to standards-version 3.8.0

 -- Teemu Ikonen <tpikonen@gmail.com>  Mon, 16 Jun 2008 14:29:55 +0200

rasmol (2.7.4.2-1) unstable; urgency=low

  * New upstream version
  * GTK changes included in upstream now
  * Update to standards-version 3.7.3
  * Add build-dependency to cbflib-dev
  * Patch Imakefile to use debianized cbflib
  * Configure what GUI to use by regenerating Makefiles from the Imakefile
    during package build
  * Update copyright to reflect the new upstream version
  * Add MimeType=chemical/x-pdb to .desktop files, also fix them to be
    "desktop-file-validate" clean (closes: #460990)
  * Fixed color handling in the GTK version (closes: #442810)
  * Add Vcs-* fields pointing to debian-science git repository
  * copyright: start conversion to machine readable format, convert to utf8
  * Fix lintian errors in rasmol manpage

 -- Teemu Ikonen <tpikonen@gmail.com>  Mon, 26 May 2008 15:42:09 +0200

rasmol (2.7.3.1-3) unstable; urgency=low

  * Remove explicit strip command from debian/rules in favor of dh_strip
    (closes: #437884)
  * "Upstream" improvents from the GTK branch
    - Load help file from Help->User Manual
    - Abbreviate long filenames in the File menu list
    - Remove radio buttons from Display and Colours menus
    - Add File->Export in GTK GUI
    - Printing support using gtk_print
    - GTK recent files support, File->Open Recent
  * Build-depend on libgtk2.0-dev (>= 2.12.0-1)
  * Change build depend from x-dev to x11proto-core-dev
  * Scale down the menu icon to 32x32 pixels
  * Add information on the GTK version to debian/copyright
  * Add README.Debian with info on the bazaar branches

 -- Teemu Ikonen <tpikonen@gmail.com>  Thu, 01 Nov 2007 18:36:04 +0100

rasmol (2.7.3.1-2) unstable; urgency=low

  * Convert menus to conform to the new hierarchy, add icon field

 -- Teemu Ikonen <tpikonen@gmail.com>  Fri,  6 Jul 2007 17:54:56 +0200

rasmol (2.7.3.1-1.1) unstable; urgency=low

  * NMU: Fixed missing man page issue quickly

 -- Andreas Tille <tille@debian.org>  Thu, 05 Jul 2007 13:20:27 +0200

rasmol (2.7.3.1-1) unstable; urgency=low

  * New upstream release (2.7.3.1)
  * Include GTK GUI patch, now build two executables, rasmol-gtk and
    rasmol-classic. Add a build-dependency to libvte-dev
  * Use the alternatives system for the "rasmol" command. Default
    is rasmol-gtk
  * Include PDF versions of the manual and refcard in rasmol-doc,
    instead of postscript

  [Andreas Tille]
  * Fixed debian/rasmol.menu to check for the package (instead for
    the binary) in the package clause

 -- Teemu Ikonen <tpikonen@gmail.com>  Sat,  9 Jun 2007 15:49:55 +0200

rasmol (2.7.2.1.1-5) unstable; urgency=low

  * Add an icon and a .desktop -file from Ubuntu version,
    via Barry deFreese (closes: #377406)
  * Fix display bug on amd64 (closes: #397883)
  * Update to standards-version 3.7.2
  * Move rasmol-doc to section doc

 -- Teemu Ikonen <tpikonen@gmail.com>  Mon, 13 Nov 2006 12:57:40 +0100

rasmol (2.7.2.1.1-4) unstable; urgency=low

  * Adopt rasmol (closes: #352551)
  * Remove Build-Dependency on xlibs-dev, thanks to Justin Pryzby
    <justinpryzby@users.sourceforge.net> for the patch and Amaya Rodrigo
    Sastre <amaya@debian.org> for the NMU (Closes: #347111).
  * Fix the mailcap entry, thanks to Dave Love <d.love@dl.ac.uk> for the
    fix (closes: #302377)
  * Update Standards-Version to 3.6.2
  * Remove INSTALL.html from rasmol-doc

 -- Teemu Ikonen <tpikonen@gmail.com>  Mon,  1 May 2006 16:56:18 +0300

rasmol (2.7.2.1.1-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove Build-Dependency on xlibs-dev (Closes: #347111).
  * Credit and Big Thanks to Justin Pryzby <justinpryzby@users.sourceforge.net>
    for the patch and testing.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sat, 21 Jan 2006 21:04:09 +0100

rasmol (2.7.2.1.1-3) unstable; urgency=low

  * Fix problem when importing XYZ files. Patch from
    Stuart Prescott <debian@nanonanonano.net> (Closes: #284697)

 -- Randolph Chung <tausq@debian.org>  Thu,  9 Dec 2004 17:21:34 -0800

rasmol (2.7.2.1.1-2) unstable; urgency=medium

  * Fix build problem on hppa (Closes: #283034)

 -- Randolph Chung <tausq@debian.org>  Sat, 27 Nov 2004 06:20:53 -0800

rasmol (2.7.2.1.1-1) unstable; urgency=low

  * New upstream version (Closes: #212566, #190992).
  * Complete repackaging, build fixes (Closes: #135403).
  * Split documentation to rasmol-doc package.
  * Detect 24-bit screens as 32-bit (Closes: #230140).
  * Remove bashishm from /usr/bin/rasmol script (Closes: #109518).
  * Acknowlegde NMUs: Menu entry is in Science section (Closes: #185724),
    xutils and xlibs-dev are in build-depends (Closes: #190512),
    install man-page in /usr/share/man (Closes: #91022).
  * Work done by Teemu Ikonen <tpikonen@pcu.helsinki.fi>

 -- Randolph Chung <tausq@debian.org>  Mon, 01 Nov 2004 13:49:06 -0800

rasmol (2.6b2-6.1) unstable; urgency=low

  * NMU.
  * Add Build-Depends on xutils and xlibs-dev.  Closes: #190512.
  * Move menu entry to Apps/Science.  Closes: #185724.
  * Use build-stamp file to avoid building all three versions twice.
  * Remove /usr/doc/rasmol symlink.

 -- Daniel Schepler <schepler@debian.org>  Mon, 18 Aug 2003 00:16:12 -0700

rasmol (2.6b2-6) unstable; urgency=low

  * Change Imakefile to not assume HPArchitecture == hpux (Closes: #104971)
  * Change section from math to science (Closes: #98726)

 -- Randolph Chung <tausq@debian.org>  Sat, 14 Jul 2001 14:30:58 -0600

rasmol (2.6b2-5.1) unstable; urgency=low

  * Non-maintainer upload (QA campaign for FHS transition)
  * install man page in /usr/share/man instead of /usr/man (closes: #91022)

 -- Ralf Treinen <treinen@debian.org>  Fri, 25 May 2001 18:22:59 +0200

rasmol (2.6b2-5) unstable; urgency=low

  * don't use egcc. Closes: #85188, #62907
  * update mailcap info. Closes: #63823

 -- Randolph Chung <tausq@debian.org>  Sat,  3 Mar 2001 20:26:01 -0700

rasmol (2.6b2-4) unstable; urgency=low

  * New maintainer
  * /usr/doc -> /usr/share/doc migration

 -- Randolph Chung <tausq@debian.org>  Sun, 10 Oct 1999 23:42:56 -0700

rasmol (2.6b2-3) unstable; urgency=low

  * add to menu system

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri,  2 Apr 1999 16:05:22 -0700

rasmol (2.6b2-2) unstable; urgency=low

  * use tcsetattr() instead of ioctl(), as per Slootman
    to help with non-i386

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Tue,  8 Dec 1998 23:10:38 -0700


rasmol (2.6b2-1) unstable; urgency=low

  * New upstream source.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Mon, 24 Aug 1998 18:48:28 -0700


rasmol (2.6b-2) unstable; urgency=low

  * Provide multiple visual depths.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Wed, 19 Aug 1998 22:35:17 -0700

rasmol (2.6b-1) unstable; urgency=low

  * Initial Release.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Wed, 12 Aug 1998 14:05:52 -0700
